Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.mejb
Class PollingNotificationListener

    java.lang.Object
      org.jboss.management.mejb.PollingNotificationListener

All Implemented Interfaces:
  EventListener, ListenerMBean, javax.management.NotificationListener, PollingNotificationListenerMBean

public class PollingNotificationListener
extends Object
implements PollingNotificationListenerMBean

Remote Listener using Polling to send the event

Version:
  $Revision: 1.6 $
Author:
  ???

Constructor Summary
`PollingNotificationListener(int pListSize, int pMaximumListSize)`

Method Summary
`List` | `getNotifications()`
`List` | `getNotifications(int pMaxiumSize)`
`void` | `handleNotification(javax.management.Notification pNotification, Object pHandback)` Handles the given notification by sending this to the remote client listener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PollingNotificationListener

    public PollingNotificationListener(int pListSize,
                                       int pMaximumListSize)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   Object pHandback)

  Handles the given notification by sending this to the remote client listener

  Specified by:
    `handleNotification` in interface `ListenerMBean`
  Parameters:
    `pNotification` - Notification to be send
    `pHandback` - Handback object

### getNotifications

    public List getNotifications()

  Specified by:
    `getNotifications` in interface `PollingNotificationListenerMBean`

### getNotifications

    public List getNotifications(int pMaxiumSize)

  Specified by:
    `getNotifications` in interface `PollingNotificationListenerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.